package net.knarcraft.blacksmith.command;

import net.knarcraft.blacksmith.config.NPCSetting;
import org.bukkit.command.Command;
import org.bukkit.command.CommandSender;
import org.bukkit.command.TabCompleter;
import org.jetbrains.annotations.NotNull;
import org.jetbrains.annotations.Nullable;

import java.util.ArrayList;
import java.util.List;

public class BlackSmithTabCompleter implements TabCompleter {

    @Nullable
    @Override
    public List<String> onTabComplete(@NotNull CommandSender sender, @NotNull Command command, @NotNull String label,
                                      @NotNull String[] args) {
        if (!sender.hasPermission("blacksmith.admin")) {
            return new ArrayList<>();
        }

        List<String> availableCommands = new ArrayList<>();
        for (NPCSetting setting : NPCSetting.values()) {
            availableCommands.add(setting.getCommandName());
        }
        availableCommands.add("reload");
        return availableCommands;
    }

}
